Zum Inhalt springen
Nachweise

The evidence library, newest first

Scope: readSiehe auch:Authentifizierung ·Fehler ·Paginierung ·Ratenlimits
GET
/evidence

Any member. Superseded revisions are left out unless include_superseded=true.

Autorisierung

apiKey
headerAutorisierungBearer <Token>

Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the operations that list this scheme, with the scope in their x-api-key-scope.

Query-Parameter

limit?integer

Maximum number of items to return.

Bereich1 <= value <= 200
Standard50
cursor?string

Opaque cursor from a previous page's next_cursor.

Länge1 <= length <= 512
kind?string
Wert in"declaration_of_conformity""test_report""dismantling_manual""safety_instructions""datasheet""diagnostic_report""study""image""other"
include_superseded?boolean
Standardfalse

Antwort-Body

A page of documents.

application/json
  1. response
items*array<>
next_cursor*|

Cursor for the next page, or null when this is the last page.

Beispielanfrage
curl -X GET 'https://example.com/api/v1/evidence'
Beispielantwort
{  "items": [    {      "access_tier": "public",      "created_at": "2019-08-24T14:15:22Z",      "filename": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "declaration_of_conformity",      "mime": "string",      "revision": 1,      "revisions": [        {          "access_tier": "public",          "filename": "string",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "kind": "declaration_of_conformity",          "revision": 1,          "superseded": true,          "title": "string"        }      ],      "sha256": "string",      "size_bytes": 0,      "source": "manual",      "superseded": {        "at": "2019-08-24T14:15:22Z",        "by": {          "display_name": "string",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "reason": "string",        "replaced_by": "0b11f089-722d-4ced-9beb-e2eeed3637dc"      },      "supersedes": "09391fa8-b623-4dc7-8d11-2a46489536bf",      "supplier_request_id": "91c3318c-6ca4-4604-8d47-6233c017cc79",      "title": "string",      "uploaded_by": {        "display_name": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"      },      "usages": [        {          "declared_value": null,          "field_key": "string",          "target": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "type": "model_version"          },          "target_label": "string",          "via": "link"        }      ]    }  ],  "next_cursor": "string"}